Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Drew Adams <[email-masked]>
Date: Wed, 5 Dec 2018 17:20:27 -0800 (PST)

> > FWIW, all such names, including `move-to-yank' would
> > be clearer with the RMS convention of having suffix
> > `-flag'.
> >
> > That was the Emacs convention, until Stefan I think.
> > I still follow it.  And I use suffix `-p' for a
> > non-option variable.  (And yes, a Boolean variable
> > can be thought of as a (nullary) predicate.)
> 
> Isn't the suffix `-p' allowed only for predicate functions?

I believe that's the Emacs argument, yes.  In
particular, I believe it's Stefan's argument - dunno
whether it is in some way "official".

What I was saying was the _I_ use suffix `-flag' for
an option and suffix `-p' (or `p') for a non-option
variable.  That makes things very clear (to me).

Add `-flag' to any of the names considered above,
and the ambiguity and lack of clarity is diminished,
if not dispelled altogether.

And suffix `-flag' is not "disallowed", AFAIK.  Of
course, Isearch already has other boolean options
that do not use such a suffix.